org.openstreetmap.josm.plugins.streetside.cubemap

## Enum CubemapUtils.CubefaceType

- java.lang.Object
- - java.lang.Enum<CubemapUtils.CubefaceType>
  - - org.openstreetmap.josm.plugins.streetside.cubemap.CubemapUtils.CubefaceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CubemapUtils.CubefaceType>
  Enclosing class:
    CubemapUtils

      public static enum CubemapUtils.CubefaceType
      extends java.lang.Enum<CubemapUtils.CubefaceType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FOUR`
    `ONE`
    `SIXTEEN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map<java.lang.Integer,CubemapUtils.CubefaceType>` | `map`
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static CubemapUtils.CubefaceType` | `valueOf(int cubefaceType)`
    `static CubemapUtils.CubefaceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CubemapUtils.CubefaceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE

          public static final CubemapUtils.CubefaceType ONE

    - #### FOUR

          public static final CubemapUtils.CubefaceType FOUR

    - #### SIXTEEN

          public static final CubemapUtils.CubefaceType SIXTEEN

  - ### Field Detail

    - #### value

          private final int value

    - #### map

          private static java.util.Map<java.lang.Integer,CubemapUtils.CubefaceType> map

  - ### Method Detail

    - #### values

          public static CubemapUtils.CubefaceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CubemapUtils.CubefaceType c : CubemapUtils.CubefaceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CubemapUtils.CubefaceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static CubemapUtils.CubefaceType valueOf(int cubefaceType)

    - #### getValue

          public int getValue()

JOSM Plugins